Bug 1292065 - [abrt] evolution-data-server: g_str_hash(): evolution-source-registry killed by SIGSEGV
[abrt] evolution-data-server: g_str_hash(): evolution-source-registry killed ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:9b8132a30ff30ceb448848a3a75...
:
: 1304087 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 06:32 EST by Berend De Schouwer
Modified: 2016-03-22 13:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-19 11:23:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.98 KB, text/plain)
2015-12-16 06:32 EST, Berend De Schouwer
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-16 06:32 EST, Berend De Schouwer
no flags Details
File: core_backtrace (20.73 KB, text/plain)
2015-12-16 06:32 EST, Berend De Schouwer
no flags Details
File: dso_list (21.37 KB, text/plain)
2015-12-16 06:32 EST, Berend De Schouwer
no flags Details
File: environ (878 bytes, text/plain)
2015-12-16 06:32 EST, Berend De Schouwer
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-16 06:32 EST, Berend De Schouwer
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-16 06:32 EST, Berend De Schouwer
no flags Details
File: maps (96.48 KB, text/plain)
2015-12-16 06:32 EST, Berend De Schouwer
no flags Details
File: mountinfo (3.36 KB, text/plain)
2015-12-16 06:32 EST, Berend De Schouwer
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-16 06:32 EST, Berend De Schouwer
no flags Details
File: open_fds (1.05 KB, text/plain)
2015-12-16 06:32 EST, Berend De Schouwer
no flags Details
File: proc_pid_status (1020 bytes, text/plain)
2015-12-16 06:32 EST, Berend De Schouwer
no flags Details

  None (edit)
Description Berend De Schouwer 2015-12-16 06:32:10 EST
Version-Release number of selected component:
evolution-data-server-3.18.2-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-source-registry
crash_function: g_str_hash
executable:     /usr/libexec/evolution-source-registry
global_pid:     3637
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_str_hash at ghash.c:1875
 #1 g_hash_table_lookup_node at ghash.c:375
 #2 g_hash_table_lookup at ghash.c:1147
 #3 _g_dbus_object_proxy_add_interface at gdbusobjectproxy.c:301
 #4 add_interfaces at gdbusobjectmanagerclient.c:1536
 #5 process_get_all_result at gdbusobjectmanagerclient.c:1647
 #6 initable_init at gdbusobjectmanagerclient.c:1400
 #7 g_initable_new_valist at ginitable.c:228
 #8 g_initable_new at ginitable.c:146
 #9 goa_object_manager_client_new_for_bus_sync at goa-generated.c:24951

Potential duplicate: bug 810649
Comment 1 Berend De Schouwer 2015-12-16 06:32:16 EST
Created attachment 1106371 [details]
File: backtrace
Comment 2 Berend De Schouwer 2015-12-16 06:32:18 EST
Created attachment 1106372 [details]
File: cgroup
Comment 3 Berend De Schouwer 2015-12-16 06:32:21 EST
Created attachment 1106373 [details]
File: core_backtrace
Comment 4 Berend De Schouwer 2015-12-16 06:32:24 EST
Created attachment 1106374 [details]
File: dso_list
Comment 5 Berend De Schouwer 2015-12-16 06:32:26 EST
Created attachment 1106375 [details]
File: environ
Comment 6 Berend De Schouwer 2015-12-16 06:32:28 EST
Created attachment 1106376 [details]
File: exploitable
Comment 7 Berend De Schouwer 2015-12-16 06:32:30 EST
Created attachment 1106377 [details]
File: limits
Comment 8 Berend De Schouwer 2015-12-16 06:32:33 EST
Created attachment 1106378 [details]
File: maps
Comment 9 Berend De Schouwer 2015-12-16 06:32:35 EST
Created attachment 1106379 [details]
File: mountinfo
Comment 10 Berend De Schouwer 2015-12-16 06:32:37 EST
Created attachment 1106380 [details]
File: namespaces
Comment 11 Berend De Schouwer 2015-12-16 06:32:39 EST
Created attachment 1106381 [details]
File: open_fds
Comment 12 Berend De Schouwer 2015-12-16 06:32:41 EST
Created attachment 1106382 [details]
File: proc_pid_status
Comment 13 Milan Crha 2016-01-18 13:07:24 EST
Thanks for a bug report. The crash looks new to me, the most confusing thing is that it crashed while creating a new GObject descendant. By any chance, do you have any steps how to reproduce the crash, please?
Comment 14 Berend De Schouwer 2016-01-19 06:44:10 EST
Unfortunately not, and it hasn't happened recently.  Somewhere Fedora has also updated evolution to 3.18.3-1, so you can probably delete this.
Comment 15 Milan Crha 2016-01-19 11:23:47 EST
Thanks for the update. I'm afraid this is some kind of coincidence, which leads to the crash. I do not know what coincidence, though. Let's close this for now, but feel free to reopen or file new bugs, if it crashes again.
Comment 16 Milan Crha 2016-02-03 04:50:44 EST
*** Bug 1304087 has been marked as a duplicate of this bug. ***
Comment 17 Brian J. Murrell 2016-03-22 13:03:43 EDT
I just got another occurrence of this under the duplicated bug #1304087, but also/still with no known way to reproduce.  ABRT caught it.

Note You need to log in before you can comment on or make changes to this bug.